<template>
  <v-select
    v-model="selectedValue"
    :readonly="readonly"
    :label="label"
    :items="openingTypes"
    item-value="id"
    item-text="name"
    clearable
    outlined
    dense
    :rules="rules"
    @change="$emit('change')"
  />
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator'
@Component({ components: {} })
export default class DocumentTypeSelect extends Vue {
  @Prop({ required: true }) value!: string
  @Prop({ default: false }) readonly!: boolean
  @Prop({ default: 'Tipi*' }) label!: string
  @Prop() rules!: string
  openingType = ''
  openingTypes: Array<any> = [
    { id: 'client', name: 'Klient' },
    { id: 'supplier', name: 'Furnitor' },
    { id: 'cash_unit', name: 'Arka/Banka' },
  ]
  public get selectedValue() {
    return this.value
  }
  public set selectedValue(newValue: string) {
    this.$emit('input', newValue)
  }
}
</script>
